//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace COMMON
{
    using System;
    using System.Collections.Generic;
    
    public partial class Customer
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Customer()
        {
            this.CustomerShops = new HashSet<CustomerShop>();
        }
    
        public long Id { get; set; }
        public string Code { get; set; }
        public string FirstName { get; set; }
        public string lastName { get; set; }
        public string Mobile { get; set; }
        public Nullable<bool> IsActive { get; set; }
        public System.DateTime CreationDate { get; set; }
        public Nullable<long> CustomerTypeId { get; set; }
    
        public virtual CustomerType CustomerType { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<CustomerShop> CustomerShops { get; set; }
    }
}
